%define sqname	squashfs
%define sqver	4.2
%define release	%mkrel 6
%define	Summary	Utilities for the creation of compressed squashfs images

Name:		%{sqname}-tools
Version:	%{sqver}
Release:	%{release}
Summary:	%{Summary}
License:	GPLv2+
Group:		File tools
URL:		http://squashfs.sourceforge.net/
Source0:	%{sqname}%{sqver}.tar.gz
Patch0:		unsquashfs-add-checks-for-corrupted-data-in-opendir-functions.patch
Patch1:		compressors-mksquashfs-unsquashfs-broken-if-GZIP_SUPPORT-is-not-defined.patch
# fix CVE-2012-4024 (from fedora)
Patch2:		path-issue.patch
# fix CVE-2012-4025 (from fedora)
Patch3:		buffer-issue.patch
BuildRequires:	zlib-devel attr-devel lzma-devel

%description
squashfs-tools are utilities for the creation of compressed squashfs images.

%prep
%setup -q -n %{sqname}%{sqver}
%apply_patches

%build
cd squashfs-tools
%make XZ_SUPPORT=1 COMP_DEFAULT=xz

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
cd squashfs-tools
install -m 755 mksquashfs unsquashfs %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
#%doc README
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 4.2-6.mga3
+ Revision: 382586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 tmb <tmb> 4.2-5.mga3
+ Revision: 338260
- unsquashfs: Fix potential stack overflow in get_component
  (CVE-2012-4024) (P2, from Fedora, mga #8448)
- unsquashfs: Fix integer overflow exploit in queue_init() leading to
  heap overflow. (CVE-2012-4025) (P3, from Fedora, mga #8448)

* Fri Oct 19 2012 tv <tv> 4.2-4.mga3
+ Revision: 308179
- do not obsolete squashfs3-tools for those still targeting 2.6.28- kernels...

* Thu Oct 18 2012 tv <tv> 4.2-3.mga3
+ Revision: 307990
- obsoletes squashfs3-tools which is useless for years

* Fri Dec 30 2011 tmb <tmb> 4.2-2.mga2
+ Revision: 189115
- unsquashfs: add checks for corrupted data in opendir functions
- compressors: mksquashfs/unsquashfs broken if GZIP_SUPPORT is not defined
- fix license
- drop defattr and buildroot

* Thu Mar 03 2011 tmb <tmb> 4.2-1.mga1
+ Revision: 62766
- update to 4.2 final

* Tue Jan 25 2011 tmb <tmb> 4.2-0.20101231.1.mga1
+ Revision: 38330
- imported package squashfs-tools

